<!DOCTYPE html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <title>Dashboard for C:\xampp\htdocs\blog\app/Services</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="../.css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/nv.d3.min.css" rel="stylesheet" type="text/css">
  <link href="../.css/style.css" rel="stylesheet" type="text/css">
  <link href="../.css/custom.css" rel="stylesheet" type="text/css">
  <!--[if lt IE 9]>
  <script src="../.js/html5shiv.min.js"></script>
  <script src="../.js/respond.min.js"></script>
  <![endif]-->
 </head>
 <body>
  <header>
   <div class="container">
    <div class="row">
     <div class="col-md-12">
      <ol class="breadcrumb">
        <li><a href="../index.html">C:\xampp\htdocs\blog\app</a></li>
        <li><a href="index.html">Services</a></li>
        <li class="active">(Dashboard)</li>

      </ol>
     </div>
    </div>
   </div>
  </header>
  <div class="container">
   <div class="row">
    <div class="col-md-12">
     <h2>Classes</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="classCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="classComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentService.php.html#13">App\Services\AppointmentService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Datatables/DatatableProcessRepository.php.html#13">App\Services\Datatables\DatatableProcessRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Datatables/DatatableRequestRepository.php.html#13">App\Services\Datatables\DatatableRequestRepository</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#19">App\Services\Doctor\DatatableService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorService.php.html#7">App\Services\DoctorService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PatientService.php.html#11">App\Services\PatientService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ReadFiles/Validators/validateMessage.php.html#13">App\Services\ReadFiles\Validators\validateMessage</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftService.php.html#7">App\Services\ShiftService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="StatusService.php.html#7">App\Services\StatusService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Validators/ValidatorService.php.html#13">App\Services\Validators\ValidatorService</a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User/UserRegisterService.php.html#16">App\Services\User\UserRegisterService</a></td><td class="text-right">80%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Class</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentService.php.html#13">App\Services\AppointmentService</a></td><td class="text-right">992</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#19">App\Services\Doctor\DatatableService</a></td><td class="text-right">110</td></tr>
       <tr><td><a href="Datatables/DatatableProcessRepository.php.html#13">App\Services\Datatables\DatatableProcessRepository</a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Datatables/DatatableRequestRepository.php.html#13">App\Services\Datatables\DatatableRequestRepository</a></td><td class="text-right">56</td></tr>
       <tr><td><a href="PatientService.php.html#11">App\Services\PatientService</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="ReadFiles/Validators/validateMessage.php.html#13">App\Services\ReadFiles\Validators\validateMessage</a></td><td class="text-right">12</td></tr>
       <tr><td><a href="User/UserRegisterService.php.html#16">App\Services\User\UserRegisterService</a></td><td class="text-right">3</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-12">
     <h2>Methods</h2>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Coverage Distribution</h3>
     <div id="methodCoverageDistribution" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Complexity</h3>
     <div id="methodComplexity" style="height: 300px;">
       <svg></svg>
     </div>
    </div>
   </div>
   <div class="row">
    <div class="col-md-6">
     <h3>Insufficient Coverage</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right">Coverage</th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentService.php.html#20"><abbr title="App\Services\AppointmentService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentService.php.html#33"><abbr title="App\Services\AppointmentService::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Validators/ValidatorService.php.html#17"><abbr title="App\Services\Validators\ValidatorService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="StatusService.php.html#11"><abbr title="App\Services\StatusService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ShiftService.php.html#11"><abbr title="App\Services\ShiftService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="ReadFiles/Validators/validateMessage.php.html#16"><abbr title="App\Services\ReadFiles\Validators\validateMessage::readValidateMessageFile">readValidateMessageFile</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PatientService.php.html#31"><abbr title="App\Services\PatientService::getAppointments">getAppointments</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="PatientService.php.html#18"><abbr title="App\Services\PatientService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="DoctorService.php.html#11"><abbr title="App\Services\DoctorService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#72"><abbr title="App\Services\Doctor\DatatableService::getAppointment">getAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#56"><abbr title="App\Services\Doctor\DatatableService::getNumberRecordOfAppointmentBySearch">getNumberRecordOfAppointmentBySearch</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#34"><abbr title="App\Services\Doctor\DatatableService::getAppointmentListAjax">getAppointmentListAjax</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#25"><abbr title="App\Services\Doctor\DatatableService::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Datatables/DatatableRequestRepository.php.html#15"><abbr title="App\Services\Datatables\DatatableRequestRepository::getDefaultRequest">getDefaultRequest</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Datatables/DatatableProcessRepository.php.html#22"><abbr title="App\Services\Datatables\DatatableProcessRepository::fillAppointmentTable">fillAppointmentTable</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Datatables/DatatableProcessRepository.php.html#17"><abbr title="App\Services\Datatables\DatatableProcessRepository::__construct">__construct</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentService.php.html#164"><abbr title="App\Services\AppointmentService::createAppointment">createAppointment</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentService.php.html#127"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByShift">getAvailableAppointmentByShift</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentService.php.html#88"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDate">getAvailableAppointmentByDate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="AppointmentService.php.html#49"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDoctorID">getAvailableAppointmentByDoctorID</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="Validators/ValidatorService.php.html#22"><abbr title="App\Services\Validators\ValidatorService::registerValidate">registerValidate</abbr></a></td><td class="text-right">0%</td></tr>
       <tr><td><a href="User/UserRegisterService.php.html#28"><abbr title="App\Services\User\UserRegisterService::register">register</abbr></a></td><td class="text-right">75%</td></tr>

       </tbody>
      </table>
     </div>
    </div>
    <div class="col-md-6">
     <h3>Project Risks</h3>
     <div class="scrollbox">
      <table class="table">
       <thead>
        <tr>
         <th>Method</th>
         <th class="text-right"><abbr title="Change Risk Anti-Patterns (CRAP) Index">CRAP</abbr></th>
        </tr>
       </thead>
       <tbody>
       <tr><td><a href="AppointmentService.php.html#49"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDoctorID">getAvailableAppointmentByDoctorID</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="AppointmentService.php.html#88"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByDate">getAvailableAppointmentByDate</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="AppointmentService.php.html#127"><abbr title="App\Services\AppointmentService::getAvailableAppointmentByShift">getAvailableAppointmentByShift</abbr></a></td><td class="text-right">90</td></tr>
       <tr><td><a href="Datatables/DatatableProcessRepository.php.html#22"><abbr title="App\Services\Datatables\DatatableProcessRepository::fillAppointmentTable">fillAppointmentTable</abbr></a></td><td class="text-right">72</td></tr>
       <tr><td><a href="Datatables/DatatableRequestRepository.php.html#15"><abbr title="App\Services\Datatables\DatatableRequestRepository::getDefaultRequest">getDefaultRequest</abbr></a></td><td class="text-right">56</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#72"><abbr title="App\Services\Doctor\DatatableService::getAppointment">getAppointment</abbr></a></td><td class="text-right">42</td></tr>
       <tr><td><a href="ReadFiles/Validators/validateMessage.php.html#16"><abbr title="App\Services\ReadFiles\Validators\validateMessage::readValidateMessageFile">readValidateMessageFile</abbr></a></td><td class="text-right">12</td></tr>
       <tr><td><a href="AppointmentService.php.html#33"><abbr title="App\Services\AppointmentService::getAppointmentsBooked">getAppointmentsBooked</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="Doctor/DatatableService.php.html#34"><abbr title="App\Services\Doctor\DatatableService::getAppointmentListAjax">getAppointmentListAjax</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="PatientService.php.html#31"><abbr title="App\Services\PatientService::getAppointments">getAppointments</abbr></a></td><td class="text-right">6</td></tr>
       <tr><td><a href="User/UserRegisterService.php.html#28"><abbr title="App\Services\User\UserRegisterService::register">register</abbr></a></td><td class="text-right">2</td></tr>

       </tbody>
      </table>
     </div>
    </div>
   </div>
   <footer>
    <hr/>
    <p>
     <small>Generated by <a href="https://github.com/sebastianbergmann/php-code-coverage" target="_top">php-code-coverage 6.0.7</a> using <a href="https://secure.php.net/" target="_top">PHP 7.2.11</a> with <a href="https://xdebug.org/">Xdebug 2.6.1</a> and <a href="https://phpunit.de/">PHPUnit 7.3.2</a> at Thu Nov 22 6:37:42 UTC 2018.</small>
    </p>
   </footer>
  </div>
  <script src="../.js/jquery.min.js" type="text/javascript"></script>
  <script src="../.js/bootstrap.min.js" type="text/javascript"></script>
  <script src="../.js/holder.min.js" type="text/javascript"></script>
  <script src="../.js/d3.min.js" type="text/javascript"></script>
  <script src="../.js/nv.d3.min.js" type="text/javascript"></script>
  <script type="text/javascript">
$(document).ready(function() {
  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#classCoverageDistribution svg')
      .datum(getCoverageDistributionData([10,0,0,0,0,0,0,0,0,1,0,2], "Class Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.multiBarChart();
    chart.tooltips(false)
      .showControls(false)
      .showLegend(false)
      .reduceXTicks(false)
      .staggerLabels(true)
      .yAxis.tickFormat(d3.format('d'));

    d3.select('#methodCoverageDistribution svg')
      .datum(getCoverageDistributionData([21,0,0,0,0,0,0,0,1,0,0,4], "Method Coverage"))
      .transition().duration(500).call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getCoverageDistributionData(data, label) {
    var labels = [
      '0%',
      '0-10%',
      '10-20%',
      '20-30%',
      '30-40%',
      '40-50%',
      '50-60%',
      '60-70%',
      '70-80%',
      '80-90%',
      '90-100%',
      '100%'
    ];
    var values = [];
    $.each(labels, function(key) {
      values.push({x: labels[key], y: data[key]});
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Cyclomatic Complexity');

    d3.select('#classComplexity svg')
      .datum(getComplexityData([[0,31,"<a href=\"AppointmentService.php.html#13\">App\\Services\\AppointmentService<\/a>"],[100,0,"<a href=\"BaseService.php.html#5\">App\\Services\\BaseService<\/a>"],[0,9,"<a href=\"Datatables\/DatatableProcessRepository.php.html#13\">App\\Services\\Datatables\\DatatableProcessRepository<\/a>"],[0,7,"<a href=\"Datatables\/DatatableRequestRepository.php.html#13\">App\\Services\\Datatables\\DatatableRequestRepository<\/a>"],[100,10,"<a href=\"Doctor\/AppointmentService.php.html#19\">App\\Services\\Doctor\\AppointmentService<\/a>"],[0,10,"<a href=\"Doctor\/DatatableService.php.html#19\">App\\Services\\Doctor\\DatatableService<\/a>"],[0,1,"<a href=\"DoctorService.php.html#7\">App\\Services\\DoctorService<\/a>"],[0,3,"<a href=\"PatientService.php.html#11\">App\\Services\\PatientService<\/a>"],[0,3,"<a href=\"ReadFiles\/Validators\/validateMessage.php.html#13\">App\\Services\\ReadFiles\\Validators\\validateMessage<\/a>"],[0,1,"<a href=\"ShiftService.php.html#7\">App\\Services\\ShiftService<\/a>"],[0,1,"<a href=\"StatusService.php.html#7\">App\\Services\\StatusService<\/a>"],[80,3,"<a href=\"User\/UserRegisterService.php.html#16\">App\\Services\\User\\UserRegisterService<\/a>"],[0,2,"<a href=\"Validators\/ValidatorService.php.html#13\">App\\Services\\Validators\\ValidatorService<\/a>"]], 'Class Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  nv.addGraph(function() {
    var chart = nv.models.scatterChart()
      .showDistX(true)
      .showDistY(true)
      .showLegend(false)
      .forceX([0, 100]);
    chart.tooltipContent(function(graph) {
      return '<p>' + graph.point.class + '</p>';
    });

    chart.xAxis.axisLabel('Code Coverage (in percent)');
    chart.yAxis.axisLabel('Method Complexity');

    d3.select('#methodComplexity svg')
      .datum(getComplexityData([[0,1,"<a href=\"AppointmentService.php.html#20\">App\\Services\\AppointmentService::__construct<\/a>"],[0,2,"<a href=\"AppointmentService.php.html#33\">App\\Services\\AppointmentService::getAppointmentsBooked<\/a>"],[0,9,"<a href=\"AppointmentService.php.html#49\">App\\Services\\AppointmentService::getAvailableAppointmentByDoctorID<\/a>"],[0,9,"<a href=\"AppointmentService.php.html#88\">App\\Services\\AppointmentService::getAvailableAppointmentByDate<\/a>"],[0,9,"<a href=\"AppointmentService.php.html#127\">App\\Services\\AppointmentService::getAvailableAppointmentByShift<\/a>"],[0,1,"<a href=\"AppointmentService.php.html#164\">App\\Services\\AppointmentService::createAppointment<\/a>"],[0,1,"<a href=\"Datatables\/DatatableProcessRepository.php.html#17\">App\\Services\\Datatables\\DatatableProcessRepository::__construct<\/a>"],[0,8,"<a href=\"Datatables\/DatatableProcessRepository.php.html#22\">App\\Services\\Datatables\\DatatableProcessRepository::fillAppointmentTable<\/a>"],[0,7,"<a href=\"Datatables\/DatatableRequestRepository.php.html#15\">App\\Services\\Datatables\\DatatableRequestRepository::getDefaultRequest<\/a>"],[100,1,"<a href=\"Doctor\/AppointmentService.php.html#26\">App\\Services\\Doctor\\AppointmentService::__construct<\/a>"],[100,5,"<a href=\"Doctor\/AppointmentService.php.html#39\">App\\Services\\Doctor\\AppointmentService::addDiagnosticService<\/a>"],[100,4,"<a href=\"Doctor\/AppointmentService.php.html#81\">App\\Services\\Doctor\\AppointmentService::paymentConfirm<\/a>"],[0,1,"<a href=\"Doctor\/DatatableService.php.html#25\">App\\Services\\Doctor\\DatatableService::__construct<\/a>"],[0,2,"<a href=\"Doctor\/DatatableService.php.html#34\">App\\Services\\Doctor\\DatatableService::getAppointmentListAjax<\/a>"],[0,1,"<a href=\"Doctor\/DatatableService.php.html#56\">App\\Services\\Doctor\\DatatableService::getNumberRecordOfAppointmentBySearch<\/a>"],[0,6,"<a href=\"Doctor\/DatatableService.php.html#72\">App\\Services\\Doctor\\DatatableService::getAppointment<\/a>"],[0,1,"<a href=\"DoctorService.php.html#11\">App\\Services\\DoctorService::__construct<\/a>"],[0,1,"<a href=\"PatientService.php.html#18\">App\\Services\\PatientService::__construct<\/a>"],[0,2,"<a href=\"PatientService.php.html#31\">App\\Services\\PatientService::getAppointments<\/a>"],[0,3,"<a href=\"ReadFiles\/Validators\/validateMessage.php.html#16\">App\\Services\\ReadFiles\\Validators\\validateMessage::readValidateMessageFile<\/a>"],[0,1,"<a href=\"ShiftService.php.html#11\">App\\Services\\ShiftService::__construct<\/a>"],[0,1,"<a href=\"StatusService.php.html#11\">App\\Services\\StatusService::__construct<\/a>"],[100,1,"<a href=\"User\/UserRegisterService.php.html#21\">App\\Services\\User\\UserRegisterService::__construct<\/a>"],[75,2,"<a href=\"User\/UserRegisterService.php.html#28\">App\\Services\\User\\UserRegisterService::register<\/a>"],[0,1,"<a href=\"Validators\/ValidatorService.php.html#17\">App\\Services\\Validators\\ValidatorService::__construct<\/a>"],[0,1,"<a href=\"Validators\/ValidatorService.php.html#22\">App\\Services\\Validators\\ValidatorService::registerValidate<\/a>"]], 'Method Complexity'))
      .transition()
      .duration(500)
      .call(chart);

    nv.utils.windowResize(chart.update);

    return chart;
  });

  function getComplexityData(data, label) {
    var values = [];
    $.each(data, function(key) {
      var value = Math.round(data[key][0]*100) / 100;
      values.push({
        x: value,
        y: data[key][1],
        class: data[key][2],
        size: 0.05,
        shape: 'diamond'
      });
    });

    return [
      {
        key: label,
        values: values,
        color: "#4572A7"
      }
    ];
  }
});
  </script>
 </body>
</html>
